input, textarea, select{
	&:focus{
		outline: none;
	}
}

form {
  margin: 0 0 1.5em;
}

label,
input,
button,
select,
textarea{
	  font-family:'Montserrat', sans-serif;
	  text-decoration: none;
	  padding: 12/16em;
}

select,
textarea,
input[type="text"],
input[type="password"],
input[type="datetime"],
input[type="datetime-local"],
input[type="date"],
input[type="month"],
input[type="time"],
input[type="week"],
input[type="number"],
input[type="email"],
input[type="url"],
input[type="search"],
input[type="tel"],
input[type="color"]{
	border: none;
	line-height: 1.5em;
	padding: 12/16em;
	outline: none;
	vertical-align: middle;
}

/*========== Search form ==========*/

.search-form{
	padding: 3px;

	p{
		margin: 0;
		overflow: hidden;
		width: 100%;
	}	

	input[type=text]{
		height: 42px;
		border: none;
		padding: 0;
		float: right;
		padding: 6px;
		width: 100%;
		.box-sizing(border-box);
		.box-shadow(inset 0, 0, 3px, rgba(0,0,0,0.5));
	}
}

.search-button{
	background: none;
	border: none;
	font: 0/0 a;
	box-shadow: none;
	text-decoration: none;
	width: 42px;
	height: 42px;
	margin-top: 6px;
	margin-left: 3px;
	background: url(../img/search_icon.png) center center no-repeat;
	.opacity(50);
	.transition();

	&:hover{
		.opacity(100);
	};
}
.hidden{display: none;}

/*========== Comment form ==========*/

.comment-form{
	margin: 0;

	> p{
		.clearfix();
		padding: 0 24px;

		> label{
			color: #666666;
		}

		> input[type=text], > input[type=email], > textarea{
			background-color: #dddddd;
			.box-shadow(inset 0, 0, 0 1px, darken(@dark, 15%));
			color: #ffffff;
			.transition();

			&:focus{
				.box-shadow(inset 0, 0, 0 1px, #999999);
				background-color: #aaaaaa;
			}
		}

		> input[type=submit]{
			.transition();
			margin: 0;
		}

		> textarea {
			height: 15em;
			.resize(vertical);
		}
	}
}

.parsley-error-list{
	color: @red;

	>li{float: right; font-size: 75%;}

}